Subject: bug#22545: closed (Re: bug#22548: Kernel panic after system reconfiguration)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Feb 2016 13:06:02 +0000

Your bug report

#22548: Kernel panic after system reconfiguration

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22548: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22548
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22548: Kernel panic after system reconfiguration
From: [email-masked] (Ludovic Courtès)
To: Alex Kost <[email-masked]>
Cc: Albin <[email-masked]>, [email-masked], [email-masked], Mark H Weaver <[email-masked]>
Date: Fri, 05 Feb 2016 14:05:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Alex Kost <[email-masked]> skribis:
>
>> And as reported by several people on #guix (I count at least 4 including
>> me and Mark) a wrong swap device leads to a kernel panic if shepherd is
>> used as the init system.
>>
>> Until I realized that it was a wrong swap, I made bisecting on shepherd
>> to find out which commit introduced this bug.  It gave me commit
>> 852341e¹: when I reconfigured my system (with a wrong swap) using
>> shepherd on this commit, I had a kernel panic, while with shepherd on
>> the previous commit the system booted successfully.
>>
>> ¹ http://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=852341ed0c08941cbdd022135f8bef7be2d7ec54
>
> Ooooh, it took me a while but I see how this happens.  This is because
> we start services directly from the config file, and anything that goes
> wrong there is uncaught, which leads to this:
>
> Service udev has been started.
> srfi-34(#<condition &action-runtime-error [service: #<<service> 184b150> action: start key: system-error arguments: ("swapon" "~S: ~A" ("/dev/disk/foobar" "No such file or directory") (2))] 1ea24c0>)
> [    6.856167] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000100
> [    6.856167] 
> [    6.856869] CPU: 0 PID: 1 Comm: shepherd Not tainted 4.4.1-gnu #1
> [    6.857319] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS rel-1.8.2-0-g33fbe13 by qemu-project.org 04/01/2014

Commit 081bd3b fixes it.  Commit 234ea8a defensively wraps all the
configuration file in ‘call-with-error-handling’, which spawns a REPL
upon error.

Thanks for the detailed investigation!

Ludo’.

Subject: Kernel panic after system reconfiguration
From: Albin <[email-masked]>
To: [email-masked]
Date: Wed, 3 Feb 2016 17:47:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

With no other changes I just ran guix pull and guix system reconfigure
on my MacBook2,1 which created an unbootable system.

After having completed the reconfiguration I tried to halt or reboot the
system but got this error message:

> error: connect: /var/run/shepherd/socket: file or directory does not exist

I did a hard shutdown and rebooted.

I've attached a picture of the kernel panic screen and here is my system
configuration:
http://paste.lisp.org/display/306452

The OS was quite bootable after my last reconfiguration on January 26.

Albin